#
# spec file for package python3-Ghost.py
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-Ghost.py
Version:        0.2.3
Release:        1.6
License:        MIT
Summary:        Webkit based webclient
Url:            https://github.com/jeanphix/Ghost.py
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/bf/26/bf58a9ad9a7705beee4f8e9f9d9c78106d9f29817d71c93f2c82f3620d5e/Ghost.py-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt4
BuildRequires:  python3-Flask
BuildRequires:  python3-Django
Requires:       python3-qt4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Ghost.py is a webkit web client written in python.

%package        Django
Summary:        Django plugin for %{name}
Requires:       %{name} = %{version}
Requires:       python3-Django

%description    Django
Provides a Django plugin for %{name}.

%prep
%setup -q -n Ghost.py-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

rm -rf %{buildroot}%{_prefix}/ghost/
rm -rf %{buildroot}%{python3_sitelib}/tests

%files
%defattr(-,root,root,-)
%doc README.rst
%dir %{python3_sitelib}/ghost/
%dir %{python3_sitelib}/ghost/ext/
%dir %{python3_sitelib}/ghost/ext/__pycache__/
%{python3_sitelib}/ghost/*.py
%{python3_sitelib}/ghost/__pycache__/
%{python3_sitelib}/ghost/ext/__init__.py
%{python3_sitelib}/ghost/ext/__pycache__/__init__.*.pyc
%{python3_sitelib}/Ghost.py-%{version}-py*.egg-info

%files Django
%defattr(-,root,root,-)
%{python3_sitelib}/ghost/ext/django/

%changelog
* Sun Oct 30 2016 toddrme2178@gmail.com
- Initial version
